% Solve the pendulum equation with the RK4 method
%
%        theta'' + w*sin(theta) = 0
%                     theta(t0) = theta0
%                    theta(t0)' = dtheta0
%
% with
%      t0 = 0
%  theta0 = pi/4
% dtheta0 = 0
%       w = 9.81/0.61 (g/l)

% close all
% clear all
% clc


odefun = 'LKDyDt';
tspan = [0,500];                           % final time step
h = 0.05;                                  % time-step [s]

y0 = [4,0.6];                                % initial [polupation 1,population 2]
[t1,y1] = odeRK4sys(odefun,tspan,y0,h);    % approximation of the ode

y0 = [5,0.6];                            % initial [polupation 1,population 2]
[t2,y2] = odeRK4sys(odefun,tspan,y0,h);    % approximation of the ode

% Poincare' map
figure;
plot(y1(:,1),y1(:,2),'g');
hold on;
plot(y2(:,1),y2(:,2),'r');
hold off;

break;
options = odeset('Vectorized','on','InitialStep',h);
[t2,y2] = ode45(odefun,tspan(2),y0,options);    % approximation of the ode
 
% Poincare' map
% figure;
% plot(y2(:,1),y2(:,2));
plot(y2(:,1),y2(:,2));


