function dydt = circuitDyDt(t,y)
% circuitDyDt ODE system for the circuit governing equation.

R = 10;   % Ohm
e = 5;    % Volt
L = 0.1;  % Henry
C = 1e-3; % Farad

dydt = [y(2);...
      -(L/R+R*C)/(L*C)*y(2)-2/(L*C)*y(1)+e/(L*C)]; % column vector
