% Solve the circuit equation with the RK4 method
%
%        LC v'' + (L/R+R*C)*v' + (1+1)*v = e
%
% with
%  v(0) = 0
% v'(0) = 0

close all
clear all
clc


odefun = 'circuitDyDt';
tspan = [0,0.1];                           % final time step of 20 [s] = 200*0.1
y0 = [0,0];                                % [theta0,dtheta0]

h = 0.001;                                 % time-step [s]
[t,y] = odeRK4sys(odefun,tspan,y0,h);      % approximation of the ode

% potential
figure;
plot(t,y(:,1));
title('potential');

% current = C* dv/dt
figure;
plot(t,y(:,2));
title('dv/dt');

