function plotscale(p)
% plotscale plot triangular order of convergence p
%
% SYNOPSIS
%    plotscale(p,h)
%
% INPUT
%   p : order of convergence
%   h : handle of the figure

ax = axis(get(gcf,'CurrentAxes')); % get axis information

xb = ax(2)*0.7;   % right corner x
xa = xb/10;       % left corner (decade) x
yb = ax(3)*1.3;   % right corner y
yc = yb*(10^p);   % up corner y

% get axis
hold on;
line([xa,xb],[yb,yb]);
line([xb,xb],[yb,yc]);
line([xa,xb],[yb,yc]);
text((xb+xa)/2,(yb+yc)/2,['p=',num2str(p)]);
hold off;